<div class="content-container">
  <div class="upload-container">
    <h3>Upload Exported Training Instance</h3>
    <sentinel-controls
      [controls]="definitionControls"
      (itemClicked)="onControlsAction($event)">
    </sentinel-controls>
  </div>
  <div class="card-content">
    <kypo-adaptive-model-simulator-definition-info
      [definitionInfo]="(instanceSimulatorData$ | async)?.trainingDefinition"
      (phaseChange)="phaseChanged($event)"
      (isPhaseValid)="phaseValid($event)">
    </kypo-adaptive-model-simulator-definition-info>
    <sentinel-controls
      [controls]="generateControls"
      (itemClicked)="onControlsAction($event)">
    </sentinel-controls>
    <kypo-adaptive-model-simulator-instance-simulator
      [simulatorData]="(instanceSimulatorData$ | async)?.sankeyData">
    </kypo-adaptive-model-simulator-instance-simulator>
  </div>
</div>
